@tailwind base;
@tailwind components;
@tailwind utilities;

@font-face {
    font-family: yekan;
    font-style: normal;
    font-weight: normal;
    src: url('../font/woff2/IRANYekanX-Regular.woff2') format('woff2'), /* FF39+,Chrome36+, Opera24+*/
    url('../font/woff/IRANYekanX-Regular.woff') format('woff'); /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
}

@font-face {
    font-family: yekan;
    font-style: normal;
    font-weight: bold;
    src: url('../font/woff2/IRANYekanX-Bold.woff2') format('woff2'), /* FF39+,Chrome36+, Opera24+*/
    url('../font/woff/IRANYekanX-Bold.woff') format('woff'); /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
}

@font-face {
    font-family: yekan-fu-num;
    font-style: normal;
    font-weight: normal;
    src: url('../font/fa-num/woff2/IRANYekanXFaNum-Regular.woff2') format('woff2'), /* FF39+,Chrome36+, Opera24+*/
    url('../font/fa-num/woff/IRANYekanXFaNum-Regular.woff') format('woff'); /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
}

@font-face {
    font-family: yekan-fu-num;
    font-style: normal;
    font-weight: bold;
    src: url('../font/fa-num/woff2/IRANYekanXFaNum-Bold.woff2') format('woff2'), /* FF39+,Chrome36+, Opera24+*/
    url('../font/fa-num/woff/IRANYekanXFaNum-Bold.woff') format('woff'); /* FF3.6+, IE9, Chrome6+, Saf5.1+*/
}

html {
    font-family: 'yekan-fu-num', sans-serif;
}

body {
    margin: 0;
    padding: 0;
    font-family: 'yekan-fu-num', sans-serif;
    background-color: #f4f2ec;
}

h1, h2, h3, h4, h5, h6, p, span, div, a {
    font-family: 'yekan-fu-num', sans-serif;
}

button, a {
    cursor: pointer;
}

.apexcharts-canvas,
.apexcharts-canvas text,
.apexcharts-tooltip,
.apexcharts-legend-text,
.apexcharts-xaxis-label,
.apexcharts-yaxis-label,
.apexcharts-data-labels text {
    font-family: 'yekan-fu-num', sans-serif !important;
}
